Debian Bug report logs - #684911
xfwm4: Window moves around widely if you move the window with a dragable bar, and click somewhere else in the window

version graph

Package: xfwm4; Maintainer for xfwm4 is Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>; Source for xfwm4 is src:xfwm4.

Reported by: SuperCat <supercatexpert@gmail.com>

Date: Tue, 14 Aug 2012 15:57:02 UTC

Severity: normal

Found in version xfwm4/4.8.3-1

Fixed in versions xfwm4/4.8.3-2, xfwm4/4.10.0-3

Done: Yves-Alexis Perez <corsac@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>:
Bug#684911; Package xfwm4. (Tue, 14 Aug 2012 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to SuperCat <supercatexpert@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>. (Tue, 14 Aug 2012 15:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: SuperCat <supercatexpert@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xfwm4: Window moves around widely if you move the window with a dragable bar, and click somewhere else in the window
Date: Tue, 14 Aug 2012 23:55:14 +0800
Package: xfwm4
Version: 4.8.3-1
Severity: normal

If you click on a dragable bar of a GTK3 application (i.e. primary toolbar /
menubar), move the window and click at a non-dragable area, the window moves
around widely without any logical direction.

You can reproduce this bug by:  click on a dragable bar, move the window, click
somewhere else in the window. The expected behaviour should be that the window
does not jump or move around.

This bug is also reported to the GTK+ bugzilla:
https://bugzilla.gnome.org/show_bug.cgi?id=675613

This bug is confirmed by Xfce4 bugzilla and launchpad:
https://bugzilla.xfce.org/show_bug.cgi?id=8949
https://bugs.launchpad.net/ubuntu/+source/xfwm4/+bug/1001936

It seems that the upstream Xfce developers have fixed in Xfce 4.10, but Debian
Wheezy is now frozen, so I wonder if the bug can be fixed in Xfce 4.8 (the
version in Debian Wheezy).



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing-proposed-updates
  APT policy: (500, 'testing-proposed-updates'), (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xfwm4 depends on:
ii  libc6                     2.13-33
ii  libdbus-glib-1-2          0.100-1
ii  libgdk-pixbuf2.0-0        2.26.1-1
ii  libglib2.0-0              2.32.3-1
ii  libgtk2.0-0               2.24.10-2
ii  libpango1.0-0             1.30.0-1
ii  libstartup-notification0  0.12-1
ii  libwnck22                 2.30.7-1
ii  libx11-6                  2:1.5.0-1
ii  libxcomposite1            1:0.4.3-2
ii  libxdamage1               1:1.1.3-2
ii  libxext6                  2:1.3.1-2
ii  libxfce4ui-1-0            4.8.1-1
ii  libxfce4util4             4.8.2-1
ii  libxfconf-0-2             4.8.1-1
ii  libxfixes3                1:5.0-4
ii  libxrandr2                2:1.3.2-2
ii  libxrender1               1:0.9.7-1

Versions of packages xfwm4 recommends:
ii  librsvg2-common  2.36.1-1
ii  xfwm4-themes     4.6.0-3

Versions of packages xfwm4 suggests:
ii  xfce4  4.8.0.3

-- no debconf information



Reply sent to Lionel Le Folgoc <mrpouit@gmail.com>:
You have taken responsibility. (Sun, 02 Sep 2012 14:51:03 GMT) Full text and rfc822 format available.

Notification sent to SuperCat <supercatexpert@gmail.com>:
Bug acknowledged by developer. (Sun, 02 Sep 2012 14:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 684911-close@bugs.debian.org (full text, mbox):

From: Lionel Le Folgoc <mrpouit@gmail.com>
To: 684911-close@bugs.debian.org
Subject: Bug#684911: fixed in xfwm4 4.8.3-2
Date: Sun, 02 Sep 2012 14:48:05 +0000
Source: xfwm4
Source-Version: 4.8.3-2

We believe that the bug you reported is fixed in the latest version of
xfwm4, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684911@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lionel Le Folgoc <mrpouit@gmail.com> (supplier of updated xfwm4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 02 Sep 2012 16:31:19 +0200
Source: xfwm4
Binary: xfwm4 xfwm4-dbg
Architecture: source amd64
Version: 4.8.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Changed-By: Lionel Le Folgoc <mrpouit@gmail.com>
Description: 
 xfwm4      - window manager of the Xfce project
 xfwm4-dbg  - window manager of the Xfce project (debugging symbols)
Closes: 684911
Changes: 
 xfwm4 (4.8.3-2) unstable; urgency=low
 .
   * debian/patches:
     - 01_implement-NET_WM_MOVERESIZE_CANCEL-message.patch: added,
       fix window grab/move triggered on mouse click with gtk3.  Closes: #684911
Checksums-Sha1: 
 e6604ae1a6fdd22b6048e0f434aed0a19cdf4c7e 2266 xfwm4_4.8.3-2.dsc
 fa10f481363bd4d1950caef5db1da4c2c3ee2be4 10330 xfwm4_4.8.3-2.debian.tar.gz
 0b9144f6d70a01b8ce6843e0ac78aac6bf360cbd 1663930 xfwm4_4.8.3-2_amd64.deb
 905b5fa49cf6ab92b5593325a29198e34a7eaeda 962972 xfwm4-dbg_4.8.3-2_amd64.deb
Checksums-Sha256: 
 e24bc9ebfdeb712ec60776f1f275f106697e386d65b08caa03f4045ae06dc320 2266 xfwm4_4.8.3-2.dsc
 c0a659e445fc4bfd4d130f335d94cfd0fa1943fe3bfcc4bebc2c3d37820157a1 10330 xfwm4_4.8.3-2.debian.tar.gz
 32ea96bfd113a2890e68d22cfea6267fdd82b79527c6aed9ddfd4c8e385985cb 1663930 xfwm4_4.8.3-2_amd64.deb
 a9342c04792b77a5ec1eca1d25efece7cf4219c1d949c699f14cfe0a4d9ca663 962972 xfwm4-dbg_4.8.3-2_amd64.deb
Files: 
 9f38055c52acc3d9ad597517332af55d 2266 xfce optional xfwm4_4.8.3-2.dsc
 fa9747a33846200341fd821d8031be3c 10330 xfce optional xfwm4_4.8.3-2.debian.tar.gz
 99d322af2c79a3a0b44bcc60676f3ecd 1663930 xfce optional xfwm4_4.8.3-2_amd64.deb
 bfd33727e657d9a5b2f7efacda41ba91 962972 debug extra xfwm4-dbg_4.8.3-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQQ2++AAoJEDBVD3hx7wuo0hAP/RUjWJziirmu2AOUeAsAeopK
dffYOTDbP2nnNZrSQ1QIcFHnW3HxNUd66lRehM7gkq1naWuLGNYR9JGlGgcfQj5P
k65N38JnR/BDLyiRMQymOOOlPvqP6TxZE3hrB1RPCzZBxWnpxBPadEaK1Kzk2hof
YXeqhpFZMGM2PCtF6HlMchwGuAaAgzG/Zv+MIGmwuXTIO/Okoqk4ZC/lnUAxvztv
+9WKNMER0UiREXKQ0mikcy0X108Ne21WBReP+KuPsaOG0V8wRcuJT/vPmKpbExA2
o5tS+COScAJs6dr72RrLfreLCx0q73ffkGXDQG+r0tH+ZVCsWLjB9W5sNGI0cfhi
idc9hzcjhAD/9sZkgKPLxYn9ZaPqWgI3NKZrey1OmBEuxNDCRe/p2HOToRvDztfR
vETcS1z3Jeu3uwIDM9uK2rKpo8H4SEPSVU5AwZ5MgJOLaei8DO0RL6Wea9MZG7Kb
41KrsPQoB7hTwwpGJctYGumghO3f/hZdn8Sqi+ls//uDMpCELWQvpNPtQ9/Jvwpv
gwf9TTKR6COT6WYdFo1T/9Kv51HS1M2nxOrz3q5JE4Wy7lxkeQAklPcnE6Ntk2g6
uVt4FQNwGEgV4Nwa/MfkzU0dcnp5Tik8/VkcHJJIT+82eb4dbiK+WHYxZPt4xaZQ
n5rA4CbKUjFCVhrQq4sZ
=fQKJ
-----END PGP SIGNATURE-----




Reply sent to Yves-Alexis Perez <corsac@debian.org>:
You have taken responsibility. (Mon, 03 Sep 2012 06:21:03 GMT) Full text and rfc822 format available.

Notification sent to SuperCat <supercatexpert@gmail.com>:
Bug acknowledged by developer. (Mon, 03 Sep 2012 06:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 684911-close@bugs.debian.org (full text, mbox):

From: Yves-Alexis Perez <corsac@debian.org>
To: 684911-close@bugs.debian.org
Subject: Bug#684911: fixed in xfwm4 4.10.0-3
Date: Mon, 03 Sep 2012 06:17:40 +0000
Source: xfwm4
Source-Version: 4.10.0-3

We believe that the bug you reported is fixed in the latest version of
xfwm4, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684911@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yves-Alexis Perez <corsac@debian.org> (supplier of updated xfwm4 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 03 Sep 2012 07:39:14 +0200
Source: xfwm4
Binary: xfwm4 xfwm4-dbg
Architecture: source amd64
Version: 4.10.0-3
Distribution: experimental
Urgency: low
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Changed-By: Yves-Alexis Perez <corsac@debian.org>
Description: 
 xfwm4      - window manager of the Xfce project
 xfwm4-dbg  - window manager of the Xfce project (debugging symbols)
Closes: 684911
Changes: 
 xfwm4 (4.10.0-3) experimental; urgency=low
 .
   * debian/patches:
     - 0002-Implement-NET_WM_MOVERESIZE_CANCEL-message-bug-8949 added, fix
       window grab/move triggered on mouse click with gtk3.      closes: #684911
Checksums-Sha1: 
 25f9dcba96f8b77d644725a8a8919f0303db3cb0 2300 xfwm4_4.10.0-3.dsc
 9f22ce360c223f3558d5cef7188b69449e2ff971 10887 xfwm4_4.10.0-3.debian.tar.gz
 1a9f6e80fafab7329d131f54c2fd5efd1820c1ad 834906 xfwm4_4.10.0-3_amd64.deb
 5f35f9a93e8645c28f3de108d4886dbcb7efd3f3 998476 xfwm4-dbg_4.10.0-3_amd64.deb
Checksums-Sha256: 
 c22472b230b7d75b702a715b4ea2c8a024a730c00a416e62e8e5a0d84ac790ca 2300 xfwm4_4.10.0-3.dsc
 ce25438216cb8a85de6bb72dbc73cdc963aec5b0ae5241895fcf96f7cf25b4b6 10887 xfwm4_4.10.0-3.debian.tar.gz
 63dbd2847d464f084ea37c3a36448a2877a7e650102adae6ab8676f65bd0d534 834906 xfwm4_4.10.0-3_amd64.deb
 9bd33a5f88e792d3c0d3a3f9b5d16f4fb1932d4fdd92f2335d6d4c7995868e36 998476 xfwm4-dbg_4.10.0-3_amd64.deb
Files: 
 67a11e668ee4b7634c8afe44990a6f1e 2300 xfce optional xfwm4_4.10.0-3.dsc
 0e8732d4d6872ccabd5d5bb469588c91 10887 xfce optional xfwm4_4.10.0-3.debian.tar.gz
 3cbe308fafa5368137c3c37b39beabc4 834906 xfce optional xfwm4_4.10.0-3_amd64.deb
 869d6d3bd7dbd4d5746d510645fd7967 998476 debug extra xfwm4-dbg_4.10.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQREhIAAoJEDBVD3hx7wuonf8P/2BToO4KmMUGYjXAdMLD0LN9
SjGEqbnUxj9Qp80mZkL6RBx3nOQmeXdVV9axf+ARN2gsv6pJ9sCnUXr+UObXUilq
gkbHpjeoaiSo7YdxmKF2ZU9Seuq1yE6IXH8GX00I7mfWqd82l0ZlINzT9cRXfGuu
AM3y5KlptwlirUvZzgrzCo9fDEpEfxluCsOukUT07C2lt8O+VDXiIMO914NgllPY
7gXaD1aXu6rYDuqDVJiiznSIIJvBR2hW+17hYO3tR5uBRCs/BNyGVwM4Wp7j8H6X
cDNKwTn2UyKJNDkpuDGYfXB+gAShTf3uX4ZPjTxpBlHqjfqVHcgFMWCtAESkonI2
kJclQUewsgCbZP4V4ZMlGVixau+HpVmVbuFABPxEbByYRbmK9hjpvgf9eJmRkWhU
WaWvZgrOCgYH0HxXFEeEoJNC8ZwU13/dYuHI3OpqXtVaO3pbBWX7/WGaP/kkjGTB
ZE+BUm57sOHRfrsQ0vtt11NoC/IwbAb8bMuRy2ahnm2jyXURCl8vIOQDIdDOwXl+
s4925ZuVP2U3IeJ70uDDU1xQYwW8TN9AncJgu52Tp3PJXfhJk/0ymyhsyfcn3W2D
MijEiTC42dmLg31RkC4S4jdI73eyOdydI8Mw2c+vuN3WpMvZDkxXW33PIJKtmpSC
aANvGia8mrNAlFUxryI1
=LTeg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 11 Oct 2012 07:25:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:57:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.